org.apache.tinkerpop.gremlin.process.traversal.step.util.event

## Interface MutationListener

- All Known Implementing Classes:
    ConsoleMutationListener

      public interface MutationListener

  Interface for a listener to `EventStrategy` change events. Implementations of this interface should be added to the list of listeners on the addListener method on the `EventStrategy`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `edgeAdded(Edge edge)` Raised after a new `Edge` is added.
    `void` | `edgePropertyChanged(Edge element, Property oldValue, Object setValue)` Raised after the property of a `Edge` changed.
    `void` | `edgePropertyRemoved(Edge element, Property property)` Raised after an `Property` property was removed from an `Edge`.
    `void` | `edgeRemoved(Edge edge)` Raised after an `Edge` was removed from the graph.
    `void` | `vertexAdded(Vertex vertex)` Raised when a new `Vertex` is added.
    `void` | `vertexPropertyChanged(Vertex element, Property oldValue, Object setValue, Object... vertexPropertyKeyValues)` Deprecated. As of release 3.2.7, replaced by `vertexPropertyChanged(Vertex, VertexProperty, Object, Object...)`.
    `default void` | `vertexPropertyChanged(Vertex element, VertexProperty oldValue, Object setValue, Object... vertexPropertyKeyValues)` Raised after the property of a `Vertex` changed.
    `void` | `vertexPropertyPropertyChanged(VertexProperty element, Property oldValue, Object setValue)` Raised after the property of a `VertexProperty` changed.
    `void` | `vertexPropertyPropertyRemoved(VertexProperty element, Property property)` Raised after an `Property` property was removed from a `VertexProperty`.
    `void` | `vertexPropertyRemoved(VertexProperty vertexProperty)` Raised after a `VertexProperty` was removed from the graph.
    `void` | `vertexRemoved(Vertex vertex)` Raised after a `Vertex` was removed from the graph.

- - ### Method Detail

    - #### vertexAdded

          void vertexAdded(Vertex vertex)

      Raised when a new `Vertex` is added.
      Parameters:
        `vertex` - the `Vertex` that was added

    - #### vertexRemoved

          void vertexRemoved(Vertex vertex)

      Raised after a `Vertex` was removed from the graph.
      Parameters:
        `vertex` - the `Vertex` that was removed

    - #### vertexPropertyChanged

          void vertexPropertyChanged(Vertex element,
                                     Property oldValue,
                                     Object setValue,
                                     Object... vertexPropertyKeyValues)

      Deprecated. As of release 3.2.7, replaced by `vertexPropertyChanged(Vertex, VertexProperty, Object, Object...)`.
      Raised after the property of a `Vertex` changed.

    - #### vertexPropertyChanged

          default void vertexPropertyChanged(Vertex element,
                                             VertexProperty oldValue,
                                             Object setValue,
                                             Object... vertexPropertyKeyValues)

      Raised after the property of a `Vertex` changed.
      Parameters:
        `element` - the `Vertex` that changed
        `setValue` - the new value of the property

    - #### vertexPropertyRemoved

          void vertexPropertyRemoved(VertexProperty vertexProperty)

      Raised after a `VertexProperty` was removed from the graph.
      Parameters:
        `vertexProperty` - the `VertexProperty` that was removed

    - #### edgeAdded

          void edgeAdded(Edge edge)

      Raised after a new `Edge` is added.
      Parameters:
        `edge` - the `Edge` that was added

    - #### edgeRemoved

          void edgeRemoved(Edge edge)

      Raised after an `Edge` was removed from the graph.
      Parameters:
        `edge` - the `Edge` that was removed.

    - #### edgePropertyChanged

          void edgePropertyChanged(Edge element,
                                   Property oldValue,
                                   Object setValue)

      Raised after the property of a `Edge` changed.
      Parameters:
        `element` - the `Edge` that changed
        `setValue` - the new value of the property

    - #### edgePropertyRemoved

          void edgePropertyRemoved(Edge element,
                                   Property property)

      Raised after an `Property` property was removed from an `Edge`.
      Parameters:
        `property` - the `Property` that was removed

    - #### vertexPropertyPropertyChanged

          void vertexPropertyPropertyChanged(VertexProperty element,
                                             Property oldValue,
                                             Object setValue)

      Raised after the property of a `VertexProperty` changed.
      Parameters:
        `element` - the `VertexProperty` that changed
        `setValue` - the new value of the property

    - #### vertexPropertyPropertyRemoved

          void vertexPropertyPropertyRemoved(VertexProperty element,
                                             Property property)

      Raised after an `Property` property was removed from a `VertexProperty`.
      Parameters:
        `property` - the `Property` that removed

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.